Name:		python-pydot
Version:	1.0.25
Release:	%mkrel 11
License:	MIT
Group:		Development/Python
Summary:	Python interface to Graphviz's Dot language
URL:		http://code.google.com/p/pydot/
Source0:	http://pydot.googlecode.com/files/pydot-%{version}.tar.gz
BuildRequires:	python-pyparsing 
BuildRequires:	python-devel
Requires:	graphviz, python-pyparsing
BuildArch:	noarch

%description
An interface for creating both directed and non directed graphs from Python. 
Currently all attributes implemented in the Dot language are supported (up 
to Graphviz 2.16).

Output can be inlined in Postscript into interactive scientific environments 
like TeXmacs, or output in any of the format's supported by the Graphviz 
tools dot, neato, twopi.

%prep
%setup -qn pydot-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root=$RPM_BUILD_ROOT

# Why would you do this? :/
rm -rf $RPM_BUILD_ROOT%{_prefix}/LICENSE $RPM_BUILD_ROOT%{_prefix}/README

%files
%doc LICENSE PKG-INFO README
%{python_sitelib}/dot_parser.py*
%{python_sitelib}/pydot-*.egg-info
%{python_sitelib}/pydot.*


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 1.0.25-11.mga6
+ Revision: 938325
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.25-10.mga5
+ Revision: 744451
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.25-9.mga5
+ Revision: 729449
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.25-8.mga5
+ Revision: 688246
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.25-6.mga4
+ Revision: 544037
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.25-5.mga4
+ Revision: 499172
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.0.25-4.mga3
+ Revision: 379321
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 21 2012 fwang <fwang> 1.0.25-3.mga3
+ Revision: 333578
- update file list

* Sun Jul 17 2011 fwang <fwang> 1.0.25-2.mga2
+ Revision: 125381
- update group

* Sun Jul 17 2011 fwang <fwang> 1.0.25-1.mga2
+ Revision: 125306
- update tar dir
- imported package python-pydot

